<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_bdf46cfa1aba0af38c9a9fa98dfd8" . "31b" => base64_decode("YXBwX" . "3B1Ym" . "xpc2g" . "="), "_0c5123aa744f69bbc0e8b3ea2f6" . "e847d" => base64_decode("bG1zZ" . "w=="), "_9f55fef472b741cb222ce4503e90" . "012a" => base64_decode("cHViX3B" . "hZ2U="), "_1be4a86ec540" . "58894c0dc8eeb" . "44bf65a" => base64_decode("Y29tbW9uLnR5cGUucHViX3" . "BhZ2Vz"));
use Claromentis\Search\ItemType;






class PublishApplication implements ApplicationInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_9f55fef472b741cb222ce4503e90012" . "a"] => function () {
            return new ItemType\PublishPage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_0c5123aa744f" . "69bbc0e8b3ea2" . "f6e847d"]($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_1be4a86" . "ec540588" . "94c0dc8e" . "eb44bf65" . "a"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_bdf46cfa1aba0af38" . "c9a9fa98dfd831b"];
    }
}